import os
import sys
import time
import struct
sys.path.append("eb")
from eb import *
from xil_multiboot import *

if __name__ == "__main__":
    ip = 'rflab2.lbl.gov'
    target = EB(ip)
    target.open()
    baseaddr = 0x20800
    mb = XilMultiboot(ETHERBONE, target, baseaddr, "foo_bit")
    mb.write(0)

    status = mb.flash.rsr()
    print 'Status:' + hex(status)

    #mb.read(0,0xff)

    # read id
    id = mb.flash.read_id()
    print 'ID:    0x' + id.encode('hex')

    #mb.flash.serase(0x0)
#    mb.flash.write(0x0,range(0,255))
    dat = mb.flash.read(0x0,0xff)
    dat_pack = struct.pack('B'*len(dat), *dat)
    print 'Flash: 0x' + dat_pack.encode('hex')
